et:
  activerecord:
    attributes:
      oauth_client:
        client_id: Client ID
        client_secret: Client secret
      project:
        project_folder_type: Project folder type
      storages/file_link:
        origin: Origin
        storage: Storage
      storages/nextcloud_storage:
        authentication_methods:
          oauth2_sso: Single-Sign-On through OpenID Connect Identity Provider
          oauth2_sso_with_two_way_oauth2_fallback: Single-Sign-On with Two-Way OAuth 2.0 as fallback
          two_way_oauth2: Two-way OAuth 2.0 authorization code flow
        storage_audience: Storage Audience
      storages/project_storage:
        project_folder: Project folder
        project_folder_mode: Project folder mode
        storage: Storage
        storage_url: Storage URL
      storages/storage:
        authentication_method: Authentication Method
        creator: Creator
        drive: Drive ID
        host: Host
        name: Nimi
        provider_type: Provider type
        tenant: Directory (tenant) ID
    errors:
      messages:
        invalid_host_url: is not a valid URL.
        not_linked_to_project: is not linked to project.
      models:
        storages/file_link:
          attributes:
            origin_id:
              only_numeric_or_uuid: can only be numeric or uuid.
        storages/project_storage:
          attributes:
            project_folder_id:
              blank: Please select a folder.
            project_folder_mode:
              mode_unavailable: is not available for this storage.
            project_ids:
              blank: Please select a project.
        storages/storage:
          attributes:
            host:
              authorization_header_missing: is not fully set up. The Nextcloud instance does not receive the "Authorization" header, which is necessary for a Bearer token based authorization of API requests. Please double check your HTTP server configuration.
              cannot_be_connected_to: could not be reached. Please ensure the host is reachable and the OpenProject integration app is installed.
              minimal_nextcloud_version_unmet: does not meet minimal version requirements (must be Nextcloud 23 or higher)
              not_nextcloud_server: is not a Nextcloud server
              op_application_not_installed: appears to not have the app "OpenProject integration" installed. Please install it first and then try again.
            password:
              invalid_password: is not valid.
              unknown_error: could not be validated. Please check your storage connection and try again.
    models:
      file_link: Manus
      storages/storage: Storage
  api_v3:
    errors:
      too_many_elements_created_at_once: Too many elements created at once. Expected %{max} at most, got %{actual}.
  external_file_storages: External file storages
  permission_create_files: 'Automatically managed project folders: Create files'
  permission_create_files_explanation: This permission is only available for Nextcloud storages
  permission_delete_files: 'Automatically managed project folders: Delete files'
  permission_delete_files_explanation: This permission is only available for Nextcloud storages
  permission_header_for_project_module_storages: Automatically managed project folders
  permission_manage_file_links: Manage file links
  permission_manage_files_in_project: Manage files in project
  permission_read_files: 'Automatically managed project folders: Read files'
  permission_share_files: 'Automatically managed project folders: Share files'
  permission_share_files_explanation: This permission is only available for Nextcloud storages
  permission_view_file_links: View file links
  permission_write_files: 'Automatically managed project folders: Write files'
  project_module_storages: Failid
  project_storages:
    edit_project_folder:
      label: Edit project folder
    project_folder_mode:
      automatic: Automatically managed
      inactive: No specific folder
      manual: Existing folder manually managed
    remove_project:
      deletion_failure_flash: Failed to remove the project from the storage. %{error}
      dialog:
        automatically_managed_appendix: Also, in this case this storage has an automatically managed project folder, this and its files will be deleted forever.
        confirmation_text: Please, confirm you understand and want to remove this file storage from this project
        heading_text: Remove project from %{storage}
        text: This action is irreversible and will remove all links from work packages of this project to files and folders of that storage.
        title: Remove project from storage
      label: Remove project
  services:
    attributes:
      nextcloud_sync_service:
        add_user_to_group: 'Add User to Group:'
        create_folder: 'Managed Project Folder Creation:'
        ensure_root_folder_permissions: 'Set Base Folder Permissions:'
        hide_inactive_folders: 'Hide Inactive Folders Step:'
        remote_folders: 'Read contents of the group folder:'
        remove_user_from_group: 'Remove User from Group:'
        rename_project_folder: 'Rename managed project Folder:'
      one_drive_sync_service:
        create_folder: 'Managed Project Folder Creation:'
        ensure_root_folder_permissions: 'Set Base Folder Permissions:'
        hide_inactive_folders: 'Hide Inactive Folders Step:'
        remote_folders: 'Read contents of the group folder:'
        rename_project_folder: 'Rename managed project Folder:'
    errors:
      messages:
        error: An unexpected error occurred. Please check OpenProject logs for more information or contact an administrator
        unauthorized: OpenProject could not authenticate with the Storage Provider. Please ensure that you have access to it.
      models:
        copy_project_folders_service:
          conflict: The folder %{destination_path} already exists. Interrupting process to avoid overwrites.
          error: An unexpected error occurred. Please check OpenProject logs for more information or contact an administrator
          forbidden: OpenProject could not access the source folder. Please check your permissions configuration on the Storage Provider
          not_found: The source template location %{source_path} wasn't found.
          unauthorized: OpenProject could not authenticate with the Storage Provider. Please check your storage configuration
        nextcloud_sync_service:
          attributes:
            add_user_to_group:
              conflict: 'The user %{user} could not be added to the %{group} group for the following reason: %{reason}'
              failed_to_add: 'The user %{user} could not be added to the %{group} group for the following reason: %{reason}'
            create_folder:
              conflict: The %{folder_name} already exists on %{parent_location}.
              not_found: "%{parent_location} wasn't found."
            ensure_root_folder_permissions:
              not_found: "%{group_folder} wasn't found. Please check your Nextcloud Group Folder setup."
              permission_not_set: could not set permissions on %{group_folder}.
            hide_inactive_folders:
              permission_not_set: could not set permissions on %{path}.
            remote_folders:
              not_allowed: The %{username} doesn't have access to the %{group_folder} folder. Please check the folder permissions on Nextcloud.
              not_found: "%{group_folder} folder wasn't found. Please check your Nextcloud setup."
            remove_user_from_group:
              conflict: 'The user %{user} could not be removed from the %{group} group for the following reason: %{reason}'
              failed_to_remove: 'The user %{user} could not be removed from the %{group} group for the following reason: %{reason}'
            rename_project_folder:
              forbidden: OpenProject user does not have access to %{current_path} folder.
              not_found: "%{current_path} wasn't found."
            set_folders_permissions:
              permission_not_set: could not set permissions on %{path}.
          error: An unexpected error occurred. Please ensure that your Nextcloud instance is reachable and check OpenProject worker logs for more information
          group_does_not_exist: "%{group} does not exist. Check your Nextcloud instance configuration."
          insufficient_privileges: OpenProject does not have enough privileges to add %{user} to %{group}. Check you group settings in Nextcloud.
          not_allowed: Nextcloud block the request.
          unauthorized: OpenProject could not sync with Nextcloud. Please check your storage and Nextcloud configuration.
          user_does_not_exist: "%{user} does not exist in Nextcloud."
        one_drive_sync_service:
          attributes:
            create_folder:
              conflict: The %{folder_name} already exists on %{parent_location}.
              not_found: "%{parent_location} wasn't found."
            hide_inactive_folders:
              permission_not_set: could not set permissions on %{path}.
            remote_folders:
              request_error: OpenProject could not access your drive %{drive_id}. Please check if your storage configuration is correct.
            rename_project_folder:
              conflict: OpenProject could not rename the folder %{current_path} to %{project_folder_name} as a folder with the same name already exists
              forbidden: OpenProject does not have access to %{current_path} in order to rename it.
              not_found: "%{current_path} wasn't found."
            set_folders_permissions:
              permission_not_set: could not set permissions on %{path}.
          error: An unexpected error occurred. Please ensure that OneDrive/SharePoint is reachable and check OpenProject worker logs for more information
          not_allowed: OpenProject wasn't allowed to access your OneDrive drive. Please check the permissions set on the Azure Application.
          unauthorized: OpenProject could not sync with OneDrive. Please check your storage and Azure Application configuration.
          user_does_not_exist: "%{user} does not exist in Nextcloud."
        upload_link_service:
          not_found: The destination folder %{folder} could not be found on %{storage_name}.
  storages:
    buttons:
      complete_without_setup: Complete without it
      done_complete_setup: Done, complete setup
      done_continue: Done, continue
      open_storage: Open file storage
      replace_oauth_application: Replace OpenProject OAuth
      replace_oauth_client: Replace %{provider_type} OAuth
      save_and_continue: Save and continue
      select_folder: Select folder
    configuration_checks:
      oauth_client_incomplete:
        nextcloud: Allow OpenProject to access Nextcloud data using OAuth.
        one_drive: Allow OpenProject to access Azure data using OAuth to connect OneDrive/Sharepoint.
      redirect_uri_incomplete:
        one_drive: Complete the setup with the correct URI redirection.
    confirm_replace_oauth_application: This action will reset the current OAuth credentials. After confirming you will have to reenter the credentials at the storage provider and all remote users will have to authorize against OpenProject again. Are you sure you want to proceed?
    confirm_replace_oauth_client: This action will reset the current OAuth credentials. After confirming you will have to enter new credentials from the storage provider and all users will have to authorize against %{provider_type} again. Are you sure you want to proceed?
    delete_warning:
      input_delete_confirmation: Enter the file storage name %{file_storage} to confirm deletion.
      irreversible_notice: Deleting a file storage is an irreversible action.
      project_storage: 'Are you sure you want to delete %{file_storage} from this project? To confirm this action please introduce the storage name in the field below, this will:'
      project_storage_delete_result_1: Remove all links from work packages of this project to files and folders of that storage.
      project_storage_delete_result_2: In case this storage has an automatically managed project folder, this and its files will be deleted forever.
      storage: 'Are you sure you want to delete %{file_storage}? To confirm this action please introduce the storage name in the field below, this will:'
      storage_delete_result_1: Remove all storage setups for all projects using this storage.
      storage_delete_result_2: Remove all links from work packages of all projects to files and folders of that storage.
      storage_delete_result_3: In case this storage has automatically managed project folders, those and their contained files will be deleted forever.
    dependencies:
      nextcloud:
        group_folders_app: Group folders
        integration_app: Integration OpenProject
    enabled_in_projects:
      setup_incomplete_description: This storage has an incomplete setup. Please, complete the setup before enabling it in multiple projects.
      setup_incomplete_header: Storage setup incomplete
    error_invalid_provider_type: Please select a valid storage provider.
    file_storage_view:
      access_management:
        automatic_management: Automatically managed access and folders
        automatic_management_description: Let OpenProject create folders per project automatically and manage its user access. This is recommended as it ensures that every team member has always the correct access permissions.
        description: Select the type of management of user access and folder creation. We recommend to use the Automatically managed access to have a more organised structure and guarantee access to all relevant users.
        manual_management: Manually managed access and folders
        manual_management_description: Create and manage folders per project manually on your own. You will need to manually ensure relevant users have access.
        setup_incomplete: Select the type of management of user access and folder creation.
        subtitle: Access management
      access_management_section: Access and project folders
      automatically_managed_folders: Automatically managed folders
      general_information: General information
      oauth_configuration: OAuth configuration
      one_drive_oauth: Azure OAuth
      openproject_oauth: OpenProject OAuth
      project_folders: Project folders
      redirect_uri: Redirect URI
      storage_audience: Storage Audience
      storage_audience_blank: No audience has been configured.
      storage_audience_description: Obtaining tokens for audience "%{audience}".
      storage_audience_idp: Using first access token received by identity provider, regardless of audience.
      storage_oauth: Nextcloud OAuth
      storage_provider: Storage provider
    health:
      checked: Last checked %{datetime}
      connection_validation:
        action: Recheck connection
        app_version_mismatch: The Integration OpenProject app version is not supported. Please update your Nextcloud server.
        client_id_wrong: The configured OAuth 2 client id is invalid. Please check the configuration.
        client_secret_wrong: The configured OAuth 2 client secret is invalid. Please check the configuration.
        drive_id_wrong: The configured drive id could not be found. Please check the configuration.
        group_folder_not_found: The group folder could not be found.
        group_folder_version_mismatch: The Group Folder version is not supported. Please update your Nextcloud server.
        host_not_found: No Nextcloud server found at the configured host url. Please check the configuration.
        missing_dependencies: 'A required dependency is missing on the file storage. Please add the following dependency: %{dependency}.'
        not_configured: The connection could not be validated. Please finish configuration first.
        oidc_cant_acquire_token: Your OpenID Connect setup doesn't provide the necessary audience, nor provides token exchange capabilities. Please check out our documentation for more information.
        oidc_cant_exchange_token: There seems to be a problem with the Token Exchange setup on your OpenID Connect Provider. Please check its configuration and try again.
        oidc_cant_refresh_token: There was an error while trying to check your access to the storage. Please check the server logs for further information.
        oidc_non_oidc_user: The current user, while provisioned, wasn't provisioned by an OpenID Connect (OIDC) Identity Provider. Please re-run the check with an OIDC provisioned user.
        oidc_non_provisioned_user: The current user isn't provided by an OpenID Connect Identity Provider. Please re-run the check with a provided user.
        placeholder: Check your connection against the server.
        subtitle: Connection validation
        tenant_id_wrong: The configured directory (tenant) id is invalid. Please check the configuration.
        unexpected_content:
          nextcloud: Unexpected content found in the managed group folder.
          one_drive: Unexpected content found in the drive.
        unknown_error: The connection could not be validated. An unknown error occurred. Please check the server logs for further information.
        userless_access_denied: The configured app password is invalid.
      label_error: Tõrge
      label_healthy: Healthy
      label_pending: Ootel
      label_warning: Hoiatus
      project_folders:
        subtitle: Automatically managed project folders
      since: since %{datetime}
      title: Health status
    health_email_notifications:
      description_subscribed: All administrators receive health status email notifications for this storage.
      description_unsubscribed: Health status email notifications for this storage have been turned off for all administrators.
      error_could_not_be_saved: Email notification settings could not be saved. Please try again.
      subscribe: Subscribe
      title: Eposti märguandmed
      unsubscribe: Unsubscribe
    help_texts:
      project_folder: The project folder is the default folder for file uploads for this project. Users can nevertheless still upload files to other locations.
      project_folder_bulk: The project folder is the default folder for file uploads for all the projects selected. You can modify this individually in each project settings. Users can nevertheless still upload files to other locations.
    instructions:
      all_available_storages_already_added: All available storages are already added to the project.
      authentication_method: The way that requests between OpenProject and the Storage are authenticated.
      automatic_folder: This will automatically create a root folder for this project and manage the access permissions for each project member.
      empty_project_folder_validation: Selecting a folder is mandatory to proceed.
      existing_manual_folder: You can designate an existing folder as the root folder for this project. The permissions are however not automatically managed, the administrator needs to manually ensure relevant users have access. The selected folder can be used by multiple projects.
      host: Please add the host address of your storage including the https://. It should not be longer than 255 characters.
      managed_project_folders_application_password_caption: 'Enable automatic managed folders by copying this value from: %{provider_type_link}.'
      name: Give your storage a name so that users can differentiate between multiple storages.
      new_storage: Read our documentation on <a target='_blank' href='%{provider_link}'>setting up a %{provider_name} file storage</a> integration for more information.
      nextcloud:
        application_link_text: application “Integration OpenProject”
        integration: Nextcloud Administration / OpenProject
        oauth_configuration: Copy these values from %{application_link_text}.
        provider_configuration: Please make sure you have administration privileges in your Nextcloud instance and the %{application_link_text} is installed before doing the setup.
        storage_audience: Please enter the Client ID that the Nextcloud instance uses to communicate with the identity provider.
        storage_audience_placeholder: e.g. nextcloud
      no_specific_folder: By default, each user will start at their own home folder when they upload a file.
      no_storage_set_up: There are no file storages set up yet.
      not_logged_into_storage: To select a project folder, please first login
      oauth_application_details: The client secret value will not be accessible again after you close this window. Please copy these values into the %{oauth_application_details_link}.
      oauth_application_details_link_text: Nextcloud OpenProject Integration settings
      one_drive:
        application_link_text: Azure portal
        copy_redirect_uri: Copy redirect URI
        documentation_link_text: OneDrive/SharePoint file storages documentation
        drive_id: Please copy the ID from the desired drive by following the steps in the %{drive_id_link_text}.
        integration: OneDrive/SharePoint
        missing_client_id_for_redirect_uri: Please fill the OAuth values to generate a URI
        oauth_client_redirect_uri: Please copy this value to a new Web redirect URI under Redirect URIs.
        oauth_client_secret: In case there is no application client secret under Client credentials, please create a new one.
        oauth_configuration: Copy these values from the desired application in the %{application_link_text}.
        provider_configuration: Please make sure you have administration privileges in the %{application_link_text} or contact your Microsoft administrator before doing the setup. In the portal, you also need to register an Azure application or use an existing one for authentication.
        tenant_id: Please copy the Directory (tenant) ID from the desired application and App registrations in the %{application_link_text}.
        tenant_id_placeholder: Name or UUID
      setting_up_additional_storages: For setting up additional file storages, please visit
      setting_up_additional_storages_non_admin: Administrators can set up additional file storages in Administration / File Storages.
      setting_up_storages: For setting up file storages, please visit
      setting_up_storages_non_admin: Administrators can set up file storages in Administration / File Storages.
      type: 'Please make sure you have administration privileges in your Nextcloud instance and have the following application installed before doing the setup:'
      type_link_text: "“Integration OpenProject”"
    label_active: Aktiivne
    label_add_new_storage: Add new storage
    label_automatic_folder: New folder with automatically managed permissions
    label_creation_time: Creation time
    label_creator: Creator
    label_delete_storage: Delete storage
    label_edit_storage_access_management: Edit storage access management
    label_edit_storage_audience: Edit Storage Audience
    label_edit_storage_automatically_managed_folders: Edit storage automatically managed folders
    label_edit_storage_host: Edit storage host
    label_existing_manual_folder: Existing folder with manually managed permissions
    label_file_storage: File storage
    label_host: Host URL
    label_inactive: Inactive
    label_managed_project_folders:
      application_password: Application password
      automatically_managed_folders: Automatically managed folders
    label_name: Nimi
    label_new_file_storage: New %{provider} storage
    label_new_storage: New storage
    label_no_selected_folder: No selected folder
    label_no_specific_folder: No specific folder
    label_oauth_client_id: OAuth Client ID
    label_openproject_oauth_application_id: OpenProject OAuth Client ID
    label_openproject_oauth_application_secret: OpenProject OAuth Client Secret
    label_project_folder: Project folder
    label_provider: Provider
    label_redirect_uri: Redirect URI
    label_show_storage_redirect_uri: Show redirect URI
    label_status: Olek
    label_storage: Storage
    label_uri: URI
    member_connection_status:
      connected: Connected
      connected_no_permissions: User role has no storages permissions
      not_connected: Not connected. The user should login to the storage via the following %{link}.
      not_connected_sso: Not yet connected, SSO should automatically connect them, once looking at files.
    members_no_results: No members to display.
    no_results: No storages set up yet.
    oauth_access_granted_modal:
      access_granted: Access granted
      project_settings:
        access_granted_screen_reader: Access granted. You are now ready to use %{storage}
        storage_ready: You are now ready to use %{storage}
      storage_admin:
        access_granted_screen_reader: Access granted. You are now ready to add projects to %{storage}
        storage_ready: You are now ready to add projects to %{storage}
    oauth_grant_nudge_modal:
      cancel_button_label: I will do it later
      heading: Login to %{provider_type} required
      login_button_aria_label: Login to %{storage}
      login_button_label: "%{provider_type} log in"
      project_settings:
        description: To get access to the project folder you need to login to %{storage}.
      requesting_access_to: Requesting access to %{storage}
      storage_admin:
        description: In order to add projects to this storage you need to be logged into %{provider_type}. Please, log in and try again.
    open_project_storage_modal:
      success:
        subtitle: You are being redirected
        title: Integration setup completed
      timeout:
        link_text: health status of the file storage setup
        subtitle: OpenProject could not provide you access to the project folder within the expected period of time. Please, try once again.<br><br> If that problem persists please contact your OpenProject administrator to check %{storages_health_link}.
      waiting:
        subtitle: One moment please, this might take some time...
        title: We are setting up your permissions on the project folder.
    page_titles:
      file_storages:
        delete: Delete file storage
        subtitle: Add an external file storage in order to upload, link and manage files in work packages.
      managed_project_folders:
        subtitle: |-
          Let OpenProject create folders per project automatically. This is recommended as it ensures that every team
          member always has the correct access permissions.
        subtitle_short: Let OpenProject create folders per project automatically.
        title: Automatically managed project folders
      project_settings:
        delete: Delete file storage
        edit: Edit the file storage to this project
        members_connection_status: Members connection status
        new: Add a file storage to this project
      project_storage_members:
        subtitle: Check the connection status for the storage %{storage_name_link} of all project members.
        title: Members connection status
    permission_header_explanation: 'File permissions on external storages are applied only to folders and files within automatically managed project folders. Note that not all file permissions are supported by all storage providers. Please check the documentation on <a target=''_blank'' href=''https://www.openproject.org/docs/system-admin-guide/users-permissions/roles-permissions/#file-storages-permissions''>file storage permissions</a> for more information.'
    provider_types:
      label: Provider type
      nextcloud:
        label_oauth_client_id: Nextcloud OAuth Client ID
        label_oauth_client_secret: Nextcloud OAuth Client Secret
        name: Nextcloud
        name_placeholder: e.g. Nextcloud
      one_drive:
        label_oauth_client_id: Azure OAuth Application (client) ID
        label_oauth_client_secret: Azure OAuth Client Secret Value
        name: OneDrive/SharePoint
        name_placeholder: e.g. OneDrive
    show_attachments_toggle:
      description: Deactivating this option will hide the attachments list on the work packages files tab. The files attached in the description of a work package will still be uploaded in the internal attachments storage.
      label: Show attachments in the work packages files tab
    storage_audience:
      idp:
        helptext: OpenProject will use the first access token received by the identity provider to authenticate requests to the storage. It will not try to obtain another token.
        label: Use first access token obtained by identity provider
      manual:
        helptext: Allows you to set the audience of the storage. OpenProject will try to obtain a token for the given audience from the identity provider.
        label: Define storage audience manually
    storage_list_blank_slate:
      description: Add a storage to see them here.
      heading: You don't have any storages yet.
    successful_storage_connection: Storage connected successfully! Remember to activate the storage in the Projects tab for each desired project to use it.
    upsale:
      description: |-
        Integrate your OneDrive/SharePoint as a file storage with OpenProject. Upload files and link them directly to
        work packages in a project.
      title: OneDrive/SharePoint integration
